Weird problem when updating to RC5


#1

i updated from RC4 to RC5 (3.1) and everytime I do
SomeModel.all, .first, anything I get something like this

ActionView::Template::Error (undefined method `visitor’ for
#ActiveRecord::ConnectionAdapters::PostgreSQLAdapter:0x00000003c9a1f0):

PostgreSQLAdapter or SQLiteAdapter


#2

i’m receiving the same error with both 3.1rc4 and rc5 … the cause
appears to be with arel 2.1.5. i added gem “arel”, “2.1.4” to my gemfile
and the error went away.

Tomas R. wrote in post #1015594:

i updated from RC4 to RC5 (3.1) and everytime I do
SomeModel.all, .first, anything I get something like this

ActionView::Template::Error (undefined method `visitor’ for
#ActiveRecord::ConnectionAdapters::PostgreSQLAdapter:0x00000003c9a1f0):

PostgreSQLAdapter or SQLiteAdapter


#3

so its a problem with arel 2.1.5, thanks for the tip


#4

ryanjmclaughlin wrote in post #1015638:

same issue here…

arel 2.1.4 downgrade made everything work perfectly, thanks.


#5

same issue here…


#6

@tenderlove yanked the troublesome 2.1.5 gem:

https://github.com/rails/arel/issues/72

Problem solved.